package handlers

import (
	"fmt"
	"net"
)

func HandleAsyncBuddyListRequest(conn net.Conn, requestData []byte) ([]byte, int) {
	fmt.Println("[TCP] Handling AsyncBuddyListRequest")
	// Return AsyncBuddyListContentRequest (516)
	// Field 2: Buddies (AsyncBuddyList)
	return []byte{0x12, 0x00}, 516
}

func HandleAsyncIgnoreListRequest(conn net.Conn, requestData []byte) ([]byte, int) {
	fmt.Println("[TCP] Handling AsyncIgnoreListRequest")
	// Return AsyncIgnoreListContentRequest (516)
	// Field 2: Ignores (AsyncBuddyList)
	return []byte{0x12, 0x00}, 561
}
